Cyberduck Mountain Duck CLI

#2258 closed defect (wontfix)

Freeze when download target volume is removed

Reported by: tc60045 Owned by: dkocher
Priority: normal Milestone:
Component: core Version: 3.0.1
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

If you happen to be downloading files to a network target (nfs drive, in my case), and that network target is removed, Cyberduck freezes HARD.

You can force quit, but the icon stays in the dock, so it is very strange (I tried ps aux and it wasn't listed, yet it was still there in the dock).

When you formally disconnect (umount or finder eject) the network target (if finder hasn't timed the drive out), then the cyberduck icon in dock disappears.

FYI

Change History (3)

comment:1 Changed on Jun 30, 2008 at 10:51:14 AM by dkocher

  • Status changed from new to assigned
  • Summary changed from cyberduck freezes beyond frozen when network target removed to Freeze when download target volume is removed

comment:2 Changed on Jul 16, 2008 at 10:59:07 PM by dkocher

  • Milestone 3.0.2 deleted

comment:3 Changed on Jul 21, 2008 at 9:13:06 PM by dkocher

  • Resolution set to wontfix
  • Status changed from assigned to closed

I cannot fix this. This is a lower level API that is blocking.

Note: See TracTickets for help on using tickets.
swiss made software